%define name hfsplusutils
%define major 0
%define libname %mklibname %name %major

Summary:	User-space HFS+ utilities
Name:		%name
Version:	1.0.4
Release:	2mdk
License:	GPL
Group:		File tools

Source:		hfsplus_%version.src.tar.bz2
Patch0:     hfsplus-%version.patch.bz2
Patch1:		hfsplus-1.0.4-automake-fix.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
URL:		http://penguinppc.org/files/users/hasi/
BuildRequires:	automake1.8

%description
A portable, free implementation of routines for accessing HFS+ volumes.
Currently only reading is supported.

%package -n %libname
Group: System/Libraries
Summary: User-space HFS+ library
Provides: lib%name = %version-%release

%description -n %libname
A portable, free implementation of routines for accessing HFS+ volumes.
Currently only reading is supported.

%package -n %libname-devel
Group: Development/Other
Summary: User-space HFS+ utilities development files
Provides: lib%name-devel = %version-%release
Requires: %libname = %version-%release

%description -n %libname-devel
A portable, free implementation of routines for accessing HFS+ volumes.
Currently only reading is supported.
%prep

%setup -q -n hfsplus-%version
%patch0 -p0
%patch1 -p1 -b .automake-fix

%build
libtoolize --copy --force
aclocal-1.8
autoheader
automake-1.8 -c -a -f
autoconf
%configure2_5x

%make CFLAGS="%optflags"


%install
%makeinstall

%clean
rm -fr %buildroot

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc doc/bugs.html doc/faq.html doc/hfsp.html doc/libhfsp.html doc/man/hfsp.sgml
%_bindir/*

%files -n %libname
%defattr(-,root,root,-)
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root,-)
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la


%changelog
* Thu Jul 15 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.4-2mdk
- fix build with current autotools

* Mon Jun 02 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.4-1mdk
- rebuild for rpm 4.2
- libidification + %%mklibname
- remove exclusivearch (can be usefull on other arch)
- %%patch0 (gcc3 and errno.h)
- rename spec to please Mr. rpmlint

* Thu Apr 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.2-2mdk
- ExclusiveArch: ppc

* Wed Apr 19 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.2-1mdk
- First spec for Linux-Mandrake distribution
